---
---

{{< blocks/cover image_anchor="top" height="max" color="primary" >}}
<img class="homepage__logo" src="/img/logos/grpc-logo.png" />

<p class="mb-3 display-2">
	A high performance, open source universal RPC framework
</p>
<a
	class="mx-auto mb-5 btn btn-lg btn-primary font-weight-bold"
	href="/docs/what-is-grpc/introduction"
>
Learn more
</a>
<p class="mb-3 display-2 font-weight-normal">Get started!</p>
<div class="inline-block align-middle">
<a class="btn btn-lg btn-primary mb-2" href="/docs/languages/go/quickstart/">Go</a>
<a class="btn btn-lg btn-primary mb-2" href="/docs/languages/cpp/quickstart/">C++</a>
<a class="btn btn-lg btn-primary mb-2" href="/docs/languages/java/quickstart/">Java</a>
<a class="btn btn-lg btn-primary mb-2" href="/docs/languages/python/quickstart/">Python</a>
<a class="btn btn-lg btn-primary mb-2" href="/docs/languages/csharp/quickstart/">C#</a>
<a class="btn btn-lg btn-primary mb-2" href="/docs/languages/">…</a>
{{< /blocks/cover >}}

<div class="constrained-width">

{{% blocks/lead color="white" %}}

<h1 class="mb-3 display-1 text-primary">
	Why gRPC?
</h1>
<h3 class="font-weight-light">
	gRPC is a modern open source high performance RPC framework that can
	run in any environment. It can efficiently connect services in and
	across data centers with pluggable support for load balancing,
	tracing, health checking and authentication. It is also applicable
	in last mile of distributed computing to connect devices, mobile
	applications and browsers to backend services.
</h3>

{{% /blocks/lead %}}

<section class="homepage-features">
{{< home/features >}}
</section>

<section class="homepage-used-by">
{{< home/used-by >}}
</section>

<section class="homepage-cncf">
<h2 class="mb-5 display-2 text-center">
	gRPC is a <a href="https://cncf.io">Cloud Native Computing Foundation</a> incubation project
</h2>
<figure class="homepage-cncf__logo">
	<img class="w-100" src="/img/logos/cncf-horizontal-color.png" alt="Cloud Native Computing Foundation logo" />
</figure>
</section>

</div>
