---
title: Contributing to gRPC
---

{{< blocks/cover height="sm" color="primary" >}}
{{< page/header >}}
{{< /blocks/cover >}}

<div class="container">
<div class="row my-5">

<div class="d-lg-none col-9">
<div class="td-toc td-toc--inline">
{{< page/toc collapsed=true >}}
</div>
</div>

<div class="col-12 col-lg-9">

<div class="mb-5">

To contribute to gRPC documentation, please fork the [gRPC repository on GitHub](https://github.com/grpc/grpc.io) and start submitting pull requests.

## Contribute guidelines for gRPC

We welcome contributions to any of our three core repositories:

* [gRPC](https://github.com/grpc/grpc)
* [gRPC Java](https://github.com/grpc/grpc-java)
* [gRPC Go](https://github.com/grpc/grpc-go)

{{< button text="View guidelines" url="https://github.com/grpc/grpc/blob/master/CONTRIBUTING.md" >}}

</div>
<div class="mb-5">

## Contribution guidelines for the gRPC Ecosystem

The [gRPC Ecosystem](https://github.com/grpc-ecosystem/) is a different organization where we collect and curate valuable integrations of other projects with gRPC. You can propose a new project for it by filling out the **Propose new project** form.

{{< button text="View guidelines" url="https://github.com/grpc/grpc-contrib/blob/master/CONTRIBUTING.md" >}}

</div>
<div class="mb-5">

## Edit our site on GitHub

Click the below button to visit the repo for our site. You can then click the "Fork" button in the upper-right area of the screen to create a copy of our site on your GitHub account called a "fork." Make any changes you want in your fork, and when you are ready to send those changes to us, go to the index page for your fork and click **New Pull Request** to let us know about it.

{{< button text="Browse this site's source code" url="https://github.com/grpc/grpc.io" >}}

</div>
<div class="mb-5">

## Being a member of the gRPC organization on github

Being an organization member is not required for the vast majority of the contributions. Membership is required for certain administrative tasks such as accepting a pull request, or closing issues. If you wish to be part of the gRPC organization on github, please [get in touch with us](/community/). Please note that in order to be part of the organization, your GitHub account needs to have [two-factor authentication enabled](https://help.github.com/articles/securing-your-account-with-two-factor-authentication-2fa/).

</div>
</div>
<div class="d-none d-lg-block col-3">
<div class="td-toc td-toc--inline ml-5">
{{< page/toc >}}
</div>
</div>
</div>
</div>
