---
title: Showcase
description: Customer success stories, developers stories, and more
url_use_grpc: https://www.cncf.io/case-studies/?_sft_lf-project=grpc
spelling: cSpell:ignore youtube Kubernetes Nulab Protop
---

{{< blocks/cover height="sm" color="primary" >}}
{{< page/header >}}
{{< /blocks/cover >}}

<div class="container">
<div class="row my-5">

{{< page/toc collapsed=true placement="inline" >}}

<div class="col-12 col-lg-9">

## Customer success stories

Here are a few of the customers who [successfully adopted **gRPC**][use-of-grpc]
and other [CNCF technologies](https://www.cncf.io/projects/) in the past year

<div class="mt-5 row justify-content-center">

<div class="col-9 col-lg-4 pb-4 pb-lg-0">
<div class="h-100 card shadow">
<div class="card-body">
<h4>
          <!-- <a href="https://www.cncf.io/case-studies/salesforce/">Salesforce</a> -->

[Salesforce](https://www.cncf.io/case-studies/salesforce/)

</h4>
<p>
How gRPC is enabling Salesforce’s unified interoperability strategy.
</p>
</div>
</div>
</div>

<div class="col-9 col-lg-4 pb-4 pb-lg-0">
<div class="h-100 card shadow" href="#">
<div class="card-body">
<h4>
          <!-- <a href="https://www.cncf.io/case-studies/mux/">Mux</a> -->

[Mux](https://www.cncf.io/case-studies/mux/)

</h4>
<p>
How cloud native technology helps Mux simplify online video streaming.
</p>
</div>
</div>
</div>

<div class="col-9 col-lg-4 pb-4 pb-lg-0">
<div class="h-100 card shadow">
<div class="card-body">
<h4>
          <!-- <a href="https://www.cncf.io/case-studies/nulab/">Nulab</a> -->

[Nulab](https://www.cncf.io/case-studies/nulab/)

</h4>
<p>
How the productivity software company Nulab boosted its own productivity with microservices and Kubernetes.
</p>
</div>
</div>
</div>

</div>

<div class="text-center my-5">
<a class="btn btn-secondary"
    href="{{< param url_use_grpc >}}"
    target="_blank"
    rel="noopener"
    >View all</a>
</div>

There are [many CNCF projects](https://www.cncf.io/projects/) of which gRPC is
one. For a complete list of customer stories describing the successful adoption
of CNCF technologies, see the [CNCF case studies][] page.

## Developer stories

Developer stories cover a variety of technical subjects related to gRPC. You can
find developer stories for your [preferred language](/docs/languages/) on each
**language-specific landing page**.

<div class="d-flex flex-wrap justify-content-center my-5">
  <a class="mb-2 btn btn-light btn-lg font-weight-light" href="/docs/languages/go/#dev-stories">
    Go
  </a>
  <a class="ml-2 mb-2 btn btn-light btn-lg font-weight-light" href="/docs/languages/cpp/#dev-stories">
    C++
  </a>
  <a class="ml-2 mb-2 btn btn-light btn-lg font-weight-light" href="/docs/languages/java/#dev-stories">
    Java
  </a>
  <a class="ml-2 mb-2 btn btn-light btn-lg font-weight-light" href="/docs/languages/python/#dev-stories">
    Python
  </a>
  <a class="ml-2 mb-2 btn btn-light btn-lg font-weight-light" href="/docs/languages/csharp/#dev-stories">
    C#
  </a>
  <a class="ml-2 mb-2 btn btn-light btn-lg font-weight-light" href="/docs/languages/">
    <i class="fas fa-ellipsis-h"></i>
  </a>
</div>

Other developer stories are provided next.

- **[Road to gRPC](https://blog.cloudflare.com/road-to-grpc/)**
  by [Junho Choi](https://blog.cloudflare.com/author/junho/) et al.,
  [Cloudflare](https://www.cloudflare.com/). October 26, 2020.
- [**How GIPHY’s Public API Integrates with gRPC Services**](https://engineering.giphy.com/how-giphys-public-api-integrates-with-grpc-services/)<br>
  by Serhii Kushch. August 13, 2020.
- **A Simplified Service Mesh With gRPC**
  <a href="https://youtu.be/9alMEeTxsMA"><i class="fab fa-youtube"></i></a>
  <a href="https://static.sched.com/hosted_files/grpcconf20/ae/A%20Simplified%20Service%20Mesh%20with%20gRPC.pdf"><i class="far fa-file"></i></a><br>
  A [gRPC Conf 2020 presentation](https://sched.co/cRfZ)
  by Srini Polavarapu, Engineering Manager, Google
- **Protop: A Package Manager for gRPC and Protocol Buffers**
  <a href="https://youtu.be/9alMEeTxsMA"><i class="fab fa-youtube"></i></a>
  <a href="https://static.sched.com/hosted_files/grpcconf20/6b/protop%20-%20a%20package%20manager%20for%20protobufs.pdf"><i class="far fa-file"></i></a><br>
  A [gRPC Conf 2020 presentation](https://sched.co/cRfo)
  by Jeffery Shivers, Toast, Inc
- **Service Interoperability With gRPC: gRPC in Action**
  <a href="https://youtu.be/MLS7TFHrn_c"><i class="fab fa-youtube"></i></a>
  <a href="https://static.sched.com/hosted_files/grpcconf20/d3/Service%20Interoperability%20with%20gRPC.pdf"><i class="far fa-file"></i></a><br>
  A [gRPC Conf 2020 presentation](https://sched.co/cRfl)
  by Varun Gupta & Tuhin Kanti Sharma, Salesforce.

## More

- [gRPC Conf 2020 presentation videos][]. Looking for slides? Select the
  presentation's entry in the [schedule][] page. If the author provided slides,
  you'll find them below the author's bio.

[cncf case studies]: https://www.cncf.io/case-studies/
[grpc conf 2020 presentation videos]: https://www.youtube.com/playlist?list=PLj6h78yzYM2NN72UX_fdmc5CZI-D5qfJL
[schedule]: https://events.linuxfoundation.org/grpc-conf/program/schedule/

[use-of-gRPC]: {{< param url_use_grpc >}}

</div>

{{< page/toc placement="sidebar" >}}

</div>
</div>
